Skip to main content
POST
Cancel subscription

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

token
string
required

Subscription token

Body

application/json

Why the customer is cancelling. Both fields are optional.

reason_code
enum<string> | null

A customer reason code. One of too_expensive, too_much_product, too_frequent, not_seeing_results, did_not_like_product, switching_brand, shipping_or_delivery_issue, taking_a_break, moving_or_life_change, other. Omitted or null records unknown. Any other value returns 422.

Available options:
too_expensive,
too_much_product,
too_frequent,
not_seeing_results,
did_not_like_product,
switching_brand,
shipping_or_delivery_issue,
taking_a_break,
moving_or_life_change,
other,
null
Example:

"too_expensive"

reason_text
string | null

Free text, allowed only with reason_code other.

Maximum string length: 500
Example:

"Moving abroad"

Response

Success

Single subscription with associations

subscription
object
required

Subscription rendered by SubscriptionBlueprinter

meta
object